Bug 1567860 - [RFE] Allow expression methods to return unfiltered lists of objects [NEEDINFO]
Summary: [RFE] Allow expression methods to return unfiltered lists of objects
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Greg McCullough
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 10:13 UTC by Peter McGowan
Modified: 2019-12-18 14:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 14:36:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
gmccullo: needinfo? (gtanzill)
lavenel: needinfo? (gtanzill)


Attachments (Terms of Use)

Description Peter McGowan 2018-04-16 10:13:13 UTC
Description of problem:
Expression methods are very useful, but it is sometimes desirable to be able to return a list of all expression objects of a particular type, unfiltered by an expression. An example is the MiqGroup object type, where the only available expression filter is a tag. It would be useful to be able to return all defined groups, regardless of tag.

Version-Release number of selected component (if applicable):
5.9.0.22

Comment 4 Tina Fitzgerald 2019-02-20 22:27:46 UTC
Gregg and I discussed this RFE the other day.

Even though it's not elegant, the functionality exists today by using an expression checking for the ID > 0.

I tested this using Automate -> Simulate

ExtManagementSystem
Provider : Id > 0


Note You need to log in before you can comment on or make changes to this bug.